# Contributing

Any helpful template tags and filters are very welcome. Please feel free to help out :D

## Things to have in mind

- Please **always** bring to practcice PEPs
  [8](http://www.python.org/dev/peps/pep-0008/#code-lay-out),
  [20](http://www.python.org/dev/peps/pep-0020/) and
  [257](http://www.python.org/dev/peps/pep-0257/#specification) (at least)
- Please use descriptive commit messages.

## Adding new code

1. Fork and clone the project
2. Hack at will
3. Write appropriate tests
4. Write appropriate docstrings in the tags and filters code
5. Ensure all the tests pass
6. Give a breif explanation of the usage in README.md
7. Commit and push
8. Send a pull request

## Fixing stuff

1. Fork and clone the project
2. Fix the bugs you find in whichever way you consider it won't fail anymore
3. Ensure all the tests pass and that the documentation and usage instructions still fit the changes; please fix any discrepancy
4. Commit and push
5. Send a pull request